#### D.4.16.16 Betti

Procedure from library `modules.lib` (see modules_lib).

Usage:
  Betti(reso); reso Resolution

Return:
  intmat, Bettimatrix of the resolution

Note:
  for a clear overview use printBetti

Example:

    LIB "modules.lib";
    ring r;
    matrix m[1][3]=x,y,z;
    Matrix M=m;
    Module N=coker(M);
    Resolution R=mRes(N);
    R;
    ==>  1      3      3      1
    ==> r <--  r <--  r <--  r
    ==>
    ==> 0      1      2      3
    ==>
    ==>
    Betti(R);
    ==> 1,3,3,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.